Bug 527554 - [RHEL4] add timestamps to nscd logs
Summary: [RHEL4] add timestamps to nscd logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc
Version: 4.8
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks: 592005 592009
TreeView+ depends on / blocked
 
Reported: 2009-10-06 22:07 UTC by Jeff Bastian
Modified: 2016-11-24 16:00 UTC (History)
3 users (show)

Fixed In Version: glibc-2.3.4-2.51
Doc Type: Bug Fix
Doc Text:
The nscd service has been updated to include time stamps in the log file.
Clone Of:
: 592005 (view as bug list)
Environment:
Last Closed: 2011-02-16 14:29:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch to add timestamps to nscd log (1.15 KB, patch)
2009-10-06 22:07 UTC, Jeff Bastian
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0248 0 normal SHIPPED_LIVE glibc bug fix and enhancement update 2011-02-15 16:40:45 UTC
Sourceware 10742 0 None None None Never

Description Jeff Bastian 2009-10-06 22:07:13 UTC
Description of problem:
When nscd debugging is enabled, the debug log file does not contain timestamps.
If you're trying to debug a sporadic problem, it can be difficult to map debug
log entries to when the problem actually happened without timestamps.

Attached is a patch to add timestamps to the nscd debug log.

It also uses the thread id instead of the process id on Linux systems.


Version-Release number of selected component (if applicable):
glibc-2.3.4-2.43
nscd-2.3.4-2.43

How reproducible:
every time

Steps to Reproduce:
1. edit /etc/nscd.conf and set
        logfile                 /var/log/nscd.log
        debug-level             9
2. restart nscd
3. tail -f /var/log/nscd.log
  
Actual results:
no timestamps on the log messages

Expected results:
timestamps

Additional info:
reported upstream at http://sourceware.org/bugzilla/show_bug.cgi?id=10742

Comment 1 Jeff Bastian 2009-10-06 22:07:46 UTC
Created attachment 363912 [details]
patch to add timestamps to nscd log

Comment 3 Jeff Bastian 2009-10-30 18:29:40 UTC
A variant of the patch (timestamps but no thread ids) was accepted upstream:
http://sourceware.org/git/?p=glibc.git;a=commit;h=e0f471a1187cdfcb029c80819da52b4c12e352f5

Comment 5 Jaromir Hradilek 2011-01-19 10:52:32 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The nscd service has been updated to include time stamps in the log file.

Comment 7 errata-xmlrpc 2011-02-16 14:29:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0248.html


Note You need to log in before you can comment on or make changes to this bug.